header:
  version: 17
  includes:
    - ./templates/bblayers.conf.yml
    - ./templates/local-arago64-v2.conf.yml

target: tisdk-default-image

repos:
  meta-arago:
    url: "https://git.yoctoproject.org/meta-arago"
    branch: "scarthgap"
    layers:
      meta-arago-distro:
      meta-arago-extras:
      meta-arago-test:

  meta-selinux:
    url: "https://git.yoctoproject.org/meta-selinux"
    branch: "scarthgap"

  meta-qt6:
    url: "https://code.qt.io/yocto/meta-qt6.git"
    branch: "6.9"

  meta-virtualization:
    url: "https://git.yoctoproject.org/meta-virtualization"
    branch: "scarthgap"

  meta-openembedded:
    url: "https://git.openembedded.org/meta-openembedded"
    branch: "scarthgap"
    layers:
      meta-networking:
      meta-python:
      meta-oe:
      meta-gnome:
      meta-filesystems:
      meta-multimedia:

  meta-ti:
    url: "https://git.yoctoproject.org/meta-ti"
    branch: "scarthgap"
    layers:
      meta-ti-extras:
      meta-beagle:
      meta-ti-bsp:

  meta-arm:
    url: "https://git.yoctoproject.org/meta-arm"
    branch: "scarthgap"
    layers:
      meta-arm:
      meta-arm-toolchain:

  meta-clang:
    url: "https://github.com/kraj/meta-clang"
    branch: "scarthgap"

  oe-core:
    url: "https://git.openembedded.org/openembedded-core"
    branch: "scarthgap"
    layers:
      meta:

local_conf_header:
  oe-layersetup-local-conf-config-specific: |
    DISTRO_FEATURES:append = " acl xattr pam selinux"
